UHD 003.005.002-0-unknown

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Public Member Functions | List of all members
uhd::meta_range_t Struct Reference

`#include <ranges.hpp>`

Inheritance diagram for uhd::meta_range_t:

## Public Member Functions
| meta_range_t (void)
| A default constructor for an empty meta-range. More...
template<typename InputIterator >
| meta_range_t (InputIterator first, InputIterator last)
| meta_range_t (double start, double stop, double step=0)
double | start (void) const
| Get the overall start value for this meta-range. More...
double | stop (void) const
| Get the overall stop value for this meta-range. More...
double | step (void) const
| Get the overall step value for this meta-range. More...
double | clip (double value, bool clip_step=false) const
const std::string | to_pp_string (void) const
| Convert this meta-range to a printable string. More...

## Additional Inherited Members
Public Attributes inherited from std::vector< T >
T | elements
| STL member. More...

## Detailed Description

A meta-range object holds a list of individual ranges.

## Constructor & Destructor Documentation

uhd::meta_range_t::meta_range_t | ( | void |  | ) |

A default constructor for an empty meta-range.

template<typename InputIterator >

uhd::meta_range_t::meta_range_t | ( | InputIterator | first,
|  | InputIterator | last
| ) |  |
| inline

Input iterator constructor: Makes boost::assign::list_of work.

Parameters

  first | the begin iterator
  last | the end iterator

uhd::meta_range_t::meta_range_t | ( | double | start,
|  | double | stop,
|  | double | step = `0`
| ) |  |

A convenience constructor for a single range. A step size of zero implies infinite precision.

Parameters

  start | the minimum value for this range
  stop | the maximum value for this range
  step | the step size for this range

## Member Function Documentation

double uhd::meta_range_t::clip | ( | double | value,
|  | bool | clip_step = `false`
| ) |  | const

Clip the target value to a possible range value.

Parameters

  value | the value to clip to this range
  clip_step | if true, clip to steps as well

Returns
  a value that is in one of the ranges

double uhd::meta_range_t::start | ( | void |  | ) | const

Get the overall start value for this meta-range.

double uhd::meta_range_t::step | ( | void |  | ) | const

Get the overall step value for this meta-range.

double uhd::meta_range_t::stop | ( | void |  | ) | const

Get the overall stop value for this meta-range.

const std::string uhd::meta_range_t::to_pp_string | ( | void |  | ) | const

Convert this meta-range to a printable string.

The documentation for this struct was generated from the following file:

- include/uhd/types/ranges.hpp